<?php

if (!defined('ABSPATH')) {
    exit; // Exit if accessed directly
}

/*
  Plugin Name: Online Fundraising
  Plugin URI:  https://onlinefundraising.dk/
  Description: Enables fundraising features from Online Fundraising
  Version:     2.3.2
  Author:      FlowTwo
  Author URI:  https://onlinefundraising.dk/
  License:     GPLv2 or later
  Text Domain: flowtwo_fund
 */

define('F2_FUND_DIR', plugin_dir_path(__FILE__));
define('F2_FUND_URL', plugin_dir_url(__FILE__));

function flowtwo_fund_load_textdomain() {
    load_plugin_textdomain('flowtwo_fund', F2_FUND_DIR . 'lib/languages', basename(dirname(__FILE__)) . '/lib/languages');
}

add_action('init', 'flowtwo_fund_load_textdomain');

//  PLUGIN ACTIVATION
include_once( F2_FUND_DIR . 'lib/function/activation.php' );

function f2_fund_activate_plugin() {
    $plugins = array(
      array(
        'name' => 'CMB2',
        'slug' => 'cmb2',
        'required' => true,
      ),
    );
    tgmpa($plugins);
}

add_action('tgmpa_register', 'f2_fund_activate_plugin');

//  Options
include_once( F2_FUND_DIR . 'lib/function/cmb2_options.php' );

//  DETECT THEME CMB2 PRESENCE
if (!file_exists(get_template_directory() . '/inc/cmb2/cmb2_appendix.php')) {

    //  CMB2
    include_once( F2_FUND_DIR . 'lib/cmb2/cmb2_grid.php' );
    include_once( F2_FUND_DIR . 'lib/cmb2/cmb2_appendix.php' );
    include_once( F2_FUND_DIR . 'lib/cmb2/cmb2_attached_posts_field.php' );
    include_once( F2_FUND_DIR . 'lib/cmb2/cmb2_field_select2.php' );
    include_once( F2_FUND_DIR . 'lib/cmb2/cmb2_post_search_field.php' );

    function f2_fund_enqueue_scripts() {
        wp_enqueue_style('cmb2-flowtwo', F2_FUND_URL . 'lib/cmb2/css/cmb2-flowtwo.css');
    }

    add_action('admin_enqueue_scripts', 'f2_fund_enqueue_scripts', 99);
}

//  UPDATER
include_once( F2_FUND_DIR . 'lib/function/update.php' );

//  CORE
include_once( F2_FUND_DIR . 'lib/function/api-of.php' );
include_once( F2_FUND_DIR . 'lib/function/functions.php' );
include_once( F2_FUND_DIR . 'lib/function/helper.php' );
include_once( F2_FUND_DIR . 'lib/function/implementation.php' );

//  THEME RESOURCES WITH PLUGIN FALLBACK
if (file_exists(get_stylesheet_directory() . '/lib/shortcode/fundraising.php')) {
    include( get_stylesheet_directory() . '/lib/shortcode/fundraising.php' );
} else {
    include( F2_FUND_DIR . 'lib/shortcode/fundraising.php' );
}

if (file_exists(get_stylesheet_directory() . '/lib/shortcode/fundraising-pre.php')) {
    include( get_stylesheet_directory() . '/lib/shortcode/fundraising-pre.php' );
} else {
    include( F2_FUND_DIR . 'lib/shortcode/fundraising-pre.php' );
}