<?php

namespace cmb2grid;

/*
 * CMB2-grid
 * https://github.com/origgami/CMB2-grid
 */

/*
 * Use like so:

  $cmb_grid = new_cmb2_box(
  array(
  'id'           => 'grid_meta_box',
  'title'        => __( 'Grid', 'flowtwo_news' ),
  'object_types' => array( 'post', ),
  'context'      => 'normal',
  'priority'     => 'low',
  'show_names'   => false
  )
  );
  $field1 = $cmb_grid->add_field(
  array(
  'name'    => __( 'Left', 'flowtwo_news' ),
  'desc'    => '',
  'id'      => 'grid_1',
  'type'    => 'text'
  )
  );
  $field2 = $cmb_grid->add_field(
  array(
  'name'    => __( 'Right', 'flowtwo_news' ),
  'desc'    => '',
  'id'      => 'grid_2',
  'type'    => 'text'
  )
  );
  $cmb2grid = new \cmb2grid\grid\cmb2grid($cmb_grid);
  $row = $cmb2grid->addRow();
  $row->addColumns(array($field1, $field2));

 */
require dirname(__FILE__) . '/grid/singleton.php';

if (!class_exists('\cmb2grid\cmb2_grid')) {

    class cmb2_grid extends grid\singleton {

        protected function __construct() {
            parent::__construct();
            $this->loadFiles();
            add_action('admin_head', array($this, 'wpHead'));
            add_action('admin_enqueue_scripts', array($this, 'admin_enqueue_scripts'));
        }

        private function loadFiles() {
            if (is_admin()) {
                require dirname(__FILE__) . '/grid/cmb2grid.php';
                require dirname(__FILE__) . '/grid/column.php';
                require dirname(__FILE__) . '/grid/row.php';

                require dirname(__FILE__) . '/grid/group/cmb2groupgrid.php';
                require dirname(__FILE__) . '/grid/group/grouprow.php';
                require dirname(__FILE__) . '/grid/group/groupcolumn.php';


                require dirname(__FILE__) . '/grid/utils.php';
            }
        }

        public function admin_enqueue_scripts() {
            wp_enqueue_style('bootstrap_light', plugins_url('css/bootstrap.min.css', __FILE__));
        }

        public function wpHead() {
            ?>
            <style>			
                .cmb2gridrow .cmb-row{border:none !important;padding:0 !important}
                .cmb2gridrow .cmb-th label:after{border:none !important}
                .cmb2gridrow .cmb-th{width:100% !important}
                .cmb2gridrow .cmb-td{width:100% !important}
                .cmb2gridrow textarea{width:100%}
                /*
                                .cmb2gridrow input[type="text"], .cmb2gridrow textarea{width:100%}
                */				
                .cmb2gridrow .cmb-repeat-group-wrap{max-width:100% !important;}
                .cmb2gridrow .cmb-group-title{margin:0 !important;}
                .cmb2gridrow .cmb-repeat-group-wrap .cmb-row .cmbhandle, .cmb2gridrow .postbox-container .cmb-row .cmbhandle{right:0 !important}
            </style>
            <?php

        }

    }

}

cmb2_grid::getInstance();
