<?php

namespace cmb2grid\grid;

/**
 * Description of cmb2gridcolumn
 *
 * @author Pablo Pacheco <pablo.pacheco@origgami.com.br>
 */
if (!class_exists('\cmb2grid\grid\column')) {

    class column {

        private $field;
        private $fieldId;
        private $grid;
        private $columnClassWidth;
        private $columnClass;

        public function __construct($field, cmb2grid $grid) {
            $this->setgrid($grid);
            if (is_string($field)) {
                $this->setFieldId($field);
            } elseif (is_array($field)) {
                $this->setFieldId($field[0]);
            } else if (is_a($field, '\cmb2grid\grid\group\cmb2groupgrid')) {
                $this->setFieldId($field->getParentFieldId());
            }
            $fieldId = $this->getFieldId();


            $finalField = cmb2_get_field($grid->getcmb2Obj(), $fieldId);

            $this->setField($finalField);

            if (is_array($field)) {
                if (isset($field['class'])) {
                    $this->setcolumnClass($field['class']);
                }
            }
        }

        function getcolumnClassWidth() {
            return $this->columnClassWidth;
        }

        public function setcolumnClasscmb2() {
            $columnClass = $this->getcolumnClass();
            $field = $this->getField();
            //error_log(print_r($field, true));


            if ($field->args['type'] == 'group') {
                \cmb2grid\cmb2\utils::initializeFieldArg($field, 'before_group');
                \cmb2grid\cmb2\utils::initializeFieldArg($field, 'after_group');
                $field->args['before_group'].="<div class='{$columnClass}'>";
                $field->args['after_group'].="</div>";
            } else {
                \cmb2grid\cmb2\utils::initializeFieldArg($field, 'before_row');
                \cmb2grid\cmb2\utils::initializeFieldArg($field, 'after_row');
                $field->args['before_row'].="<div class='{$columnClass}'>";
                $field->args['after_row'].="</div>";
            }
        }

        function setcolumnClass($columnClass) {
            $this->columnClass = $columnClass;
        }

        function setBootstrapcolumnClass($columnClassNum, $prefix = 'col-md') {
            $this->columnClassWidth = $columnClassNum;
            $this->setcolumnClass("{$prefix}-{$columnClassNum}");
            $this->setcolumnClasscmb2();
        }

        function getField() {
            return $this->field;
        }

        /**
         * 
         * @return CMB2_Field
         */
        function getFieldId() {
            return $this->fieldId;
        }

        function setField($field) {
            $this->field = $field;
        }

        function setFieldId($fieldId) {
            $this->fieldId = $fieldId;
        }

        /**
         * 
         * @return cmb2grid
         */
        function getgrid() {
            return $this->grid;
        }

        function setgrid($grid) {
            $this->grid = $grid;
        }

        function getcolumnClass() {
            return $this->columnClass;
        }

    }

}
