<?php

namespace cmb2grid\grid;

/**
 * Description of cmb2gridrow
 *
 * @author Pablo Pacheco <pablo.pacheco@origgami.com.br>
 */
if (!class_exists('\cmb2grid\grid\row')) {

    class row {

        private $grid;
        private $columns = array();

        public function __construct(cmb2grid $grid) {
            $this->setgrid($grid);
        }

        protected function openrow(\CMB2_Field $field) {
            //error_log(print_r($field, true));

            if ($field->args['type'] == 'group') {
                \cmb2grid\cmb2\utils::initializeFieldArg($field, 'before_group');
                $field->args['before_group'].= '<div class="row cmb2gridrow">';
            } else {
                \cmb2grid\cmb2\utils::initializeFieldArg($field, 'before_row');
                $field->args['before_row'].= '<div class="row cmb2gridrow">';
            }
        }

        protected function closerow(\CMB2_Field $field) {
            //error_log(print_r($field, true));

            if ($field->args['type'] == 'group') {
                \cmb2grid\cmb2\utils::initializeFieldArg($field, 'after_group');
                $field->args['after_group'].= '</div>';
            } else {
                \cmb2grid\cmb2\utils::initializeFieldArg($field, 'after_row');
                $field->args['after_row'].= '</div>';
            }
            /* \cmb2grid\cmb2\utils::initializeFieldArg($field, 'after_row');
              $field->args['after_row'].= '</div>'; */
        }

        protected function handlerow() {
            $columns = $this->getcolumns();

            /* @var $firstcolumn column */
            $firstcolumn = $columns[0];
            $field = $firstcolumn->getField();
            $this->openrow($field);

            $lastcolumn = $columns[count($columns) - 1];
            $field = $lastcolumn->getField();
            $this->closerow($field);
        }

        public function addcolumns(array $fields = array()) {
            foreach ($fields as $key => $field) {
                $this->addcolumn($field);
            }
            $this->handlerow();
            $this->handlecolumnsCssClasses();
        }

        protected function handlecolumnsCssClasses() {
            $columns = $this->getcolumns();
            $columnsCount = count($columns);
            $columnWidth = round(12 / $columnsCount);
            /* @var $column column */
            foreach ($columns as $key => $column) {
                if (!$column->getcolumnClass()) {
                    $column->setBootstrapcolumnClass($columnWidth);
                } else {
                    $column->setcolumnClasscmb2();
                }
            }
        }

        protected function addcolumn($field) {
            $column = new column($field, $this->getgrid());
            $columns = $this->getcolumns();
            $columns[] = $column;
            $this->setcolumns($columns);
            return $column;
        }

        /* protected function handlerow($column){

          } */

        function getgrid() {
            return $this->grid;
        }

        function setgrid($grid) {
            $this->grid = $grid;
        }

        function getcolumns() {
            return $this->columns;
        }

        function setcolumns($columns) {
            $this->columns = $columns;
        }

    }

}