<?php

namespace cmb2grid\grid;

/**
 * Description of singleton
 *
 * Pablo Pacheco <pablo.pacheco@origgami.com.br>
 */
if (!class_exists('\cmb2grid\grid\singleton')) {

    class singleton {

        protected function __construct() {
            
        }

        /**
         * Returns the *singleton* instance of this class.
         *
         * @staticvar singleton $instance The *singleton* instances of this class.
         *
         * @return Current_Class_Name
         */
        public static function getInstance() {
            static $instance = null;
            if (null === $instance) {
                $instance = new static();
            }

            return $instance;
        }

        final private function __clone() {
            
        }

    }

}
?>