<?php

if (!defined('ABSPATH'))
    exit; // Exit if accessed directly

    /*
     * Build fundraising page
     */

function f2_fund_menu() {
    add_submenu_page(
        'f2_fund', __('Shortcodes', 'flowtwo_fund'), __('Shortcodes', 'flowtwo_fund'), 'edit_pages', 'f2_fund_shortcodes', 'f2_fund_page'
    );
}

add_action('admin_menu', 'f2_fund_menu', 99);

function f2_fund_page() {

    $options = get_option('f2_fund');

    echo '<div class="wrap">';

    echo '<h2>' . __('Implementation by shortcode', 'flowtwo_fund') . '</h2>';
    echo '<hr/>';

    $projects = of_projects_stats();
    if ($projects) {
        echo '<h3>' . __('Project shortcodes', 'flowtwo_fund') . '</h3>';
        echo '<p>' . __('Use shortcodes as described below.', 'flowtwo_fund') . '</p>';
        echo '<table class="widefat">';
        echo '<thead>';
        echo '<tr>';
        echo '<th scope="col" id="title" class="manage-column column-title">';
        echo '<span>' . __('Title', 'flowtwo_fund') . '</span>';
        echo '</th>';
        echo '<th scope="col" id="title" class="manage-column column-status">';
        echo '<span>' . __('Status', 'flowtwo_fund') . '</span>';
        echo '</th>';
        echo '<th scope="col" id="title" class="manage-column column-shortcode">';
        echo '<span>' . __('Shortcode', 'flowtwo_fund') . '</span>';
        echo '</th>';
        echo '</tr>';
        echo '</thead>';
        echo '<tfoot>';
        echo '<tr>';
        echo '<th scope="col" class="manage-column column-title" style="">';
        echo '<span>' . __('Title', 'flowtwo_fund') . '</span>';
        echo '</th>';
        echo '<th scope="col" class="manage-column column-status" style="">';
        echo '<span>' . __('Status', 'flowtwo_fund') . '</span>';
        echo '</th>';
        echo '<th scope="col" class="manage-column column-shortcode" style="">';
        echo '<span>' . __('Shortcode', 'flowtwo_fund') . '</span>';
        echo '</th>';
        echo '</tr>';
        echo '</tfoot>';
        echo '<tbody id="the-list">';
        $i = 1;
        foreach ($projects as $project) {
            if ($i % 2 == 0) {
                echo '<tr class="status-publish">';
            } else {
                echo '<tr class="status-publish alternate">';
            }
            echo '<td class="post-title column-title">';
            echo '<strong>' . $project->title . '</strong>';
            echo '</td>';
            echo '<td>';
            of_fundraising_graph(NULL, $project->status, $project->target);
            echo '</td>';
            echo '<td>';
            echo '<input type="text" style="display:inline-block;width:100%" onclick="this.select()" value="[payment_pre project=&quot;' . $project->ID . '&quot;]" class="showcase-code" readonly><br/>';
            echo '<input type="text" style="display:inline-block;width:100%" onclick="this.select()" value="[payment_pre project=&quot;' . $project->ID . '&quot; amount1=&quot;250&quot;]" class="showcase-code" readonly><br/>';
            echo '<input type="text" style="display:inline-block;width:100%" onclick="this.select()" value="[payment_pre project=&quot;' . $project->ID . '&quot; display=&quot;bar&quot; size=&quot;medium&quot;]" class="showcase-code" readonly>';
            echo '</td>';
            echo '</tr>';
            $i++;
        }
        echo '</tbody>';
        echo '</table>';
        echo '<br class="clear">';
    }

    echo '<h3>' . __('Shortcodes', 'flowtwo_fund') . '</h3>';
    echo '<p>' . __('All variables are optional and can be combined as you see fit.', 'flowtwo_fund') . '</p>';
    echo '<table class="widefat">';
    echo '<thead>';
    echo '<tr>';
    echo '<th scope="col" id="title" class="manage-column column-title">';
    echo '<span>' . __('Description', 'flowtwo_fund') . '</span>';
    echo '</th>';
    echo '<th scope="col" id="title" class="manage-column column-shortcode">';
    echo '<span>' . __('Shortcodes and variables (please only use one variable per setting)', 'flowtwo_fund') . '</span>';
    echo '</th>';
    echo '</tr>';
    echo '</thead>';
    echo '<tfoot>';
    echo '<tr>';
    echo '<th scope="col" class="manage-column column-title" style="">';
    echo '<span>' . __('Description', 'flowtwo_fund') . '</span>';
    echo '</th>';
    echo '<th scope="col" class="manage-column column-shortcode" style="">';
    echo '<span>' . __('Shortcode with variables (please only use one variable per setting)', 'flowtwo_fund') . '</span>';
    echo '</th>';
    echo '</tr>';
    echo '</tfoot>';
    echo '<tbody id="the-list">';
    echo '<tr class="status-publish alternate">';
    echo '<td class="post-title column-title">';
    echo '<strong>' . __('A standard payment form', 'flowtwo_fund') . '</strong>';
    echo '</td>';
    echo '<td>';
    echo '<input style="width:100%;" type="text" onclick="this.select()" value="[payment]" class="showcase-code" readonly="">';
    echo '</td>';
    echo '</tr>';
    echo '<tr class="status-publish">';
    echo '<td class="post-title column-title">';
    echo '<strong>' . __('A payment form with locked project', 'flowtwo_fund') . '</strong>';
    echo '</td>';
    echo '<td>';
    echo '<input style="width:100%;" type="text" onclick="this.select()" value="[payment project=&quot;101&quot;]" class="showcase-code" readonly="">';
    echo '</td>';
    echo '</tr>';
    echo '<tr class="status-publish alternate">';
    echo '<td class="post-title column-title">';
    echo '<strong>' . __('A payment form with suggested amount', 'flowtwo_fund') . '</strong>';
    echo '</td>';
    echo '<td>';
    echo '<input style="width:100%;" type="text" onclick="this.select()" value="[payment amount=&quot;100&quot;]" class="showcase-code" readonly="">';
    echo '</td>';
    echo '</tr>';
    echo '<tr class="status-publish">';
    echo '<td class="post-title column-title">';
    echo '<strong>' . __('A payment form with locked payment method', 'flowtwo_fund') . '</strong>';
    echo '</td>';
    echo '<td>';
    echo '<input style="width:100%;" type="text" onclick="this.select()" value="[payment method=&quot;payment, agreement, invoice, subscription, booking, bank, pledge&quot;]" class="showcase-code" readonly="">';
    echo '</td>';
    echo '</tr>';
    echo '<tr class="status-publish alternate">';
    echo '<td class="post-title column-title">';
    echo '<strong>' . __('A payment form for payment agreements', 'flowtwo_fund') . '</strong>';
    echo '</td>';
    echo '<td>';
    echo '<input style="width:100%;" type="text" onclick="this.select()" value="[payment method=&quot;agreement&quot;]" class="showcase-code" readonly="">';
    echo '</td>';
    echo '</tr>';
    echo '<tr class="status-publish">';
    echo '<td class="post-title column-title">';
    echo '<strong>' . __('A payment form for payment agreements with selected frequens', 'flowtwo_fund') . '</strong>';
    echo '</td>';
    echo '<td>';
    echo '<input style="width:100%;" type="text" onclick="this.select()" value="[payment method=&quot;agreement&quot; frequens=&quot;month&quot;]" class="showcase-code" readonly="">';
    echo '</td>';
    echo '</tr>';
    echo '<tr class="status-publish alternate">';
    echo '<td class="post-title column-title">';
    echo '<strong>' . __('A payment form for pledges for default project', 'flowtwo_fund') . '</strong>';
    echo '</td>';
    echo '<td>';
    echo '<input style="width:100%;" type="text" onclick="this.select()" value="[payment method=&quot;pledge&quot;]" class="showcase-code" readonly="">';
    echo '</td>';
    echo '</tr>';
    echo '<tr class="status-publish">';
    echo '<td class="post-title column-title">';
    echo '<strong>' . __('A payment form for pledges for default project with selected frequens', 'flowtwo_fund') . '</strong>';
    echo '</td>';
    echo '<td>';
    echo '<input style="width:100%;" type="text" onclick="this.select()" value="[payment method=&quot;pledge&quot; frequens=&quot;month&quot;]" class="showcase-code" readonly="">';
    echo '</td>';
    echo '</tr>';
    echo '<tr class="status-publish alternate">';
    echo '<td class="post-title column-title">';
    echo '<strong>' . __('A payment form for pledges for alternate project', 'flowtwo_fund') . '</strong>';
    echo '</td>';
    echo '<td>';
    echo '<input style="width:100%;" type="text" onclick="this.select()" value="[payment method=&quot;pledge&quot; project=&quot;101&quot;]" class="showcase-code" readonly="">';
    echo '</td>';
    echo '</tr>';
    echo '<tr class="status-publish">';
    echo '<td class="post-title column-title">';
    echo '<strong>' . __('A payment form for bookings with event selection', 'flowtwo_fund') . '</strong>';
    echo '</td>';
    echo '<td>';
    echo '<input style="width:100%;" type="text" onclick="this.select()" value="[payment method=&quot;booking&quot;]" class="showcase-code" readonly="">';
    echo '</td>';
    echo '</tr>';
    echo '<tr class="status-publish alternate">';
    echo '<td class="post-title column-title">';
    echo '<strong>' . __('A payment form for bookings with selected event', 'flowtwo_fund') . '</strong>';
    echo '</td>';
    echo '<td>';
    echo '<input style="width:100%;" type="text" onclick="this.select()" value="[payment method=&quot;booking&quot; event=&quot;101&quot;]" class="showcase-code" readonly="">';
    echo '</td>';
    echo '</tr>';
    echo '<tr class="status-publish">';
    echo '<td class="post-title column-title">';
    echo '<strong>' . __('A small form useful inside articles', 'flowtwo_fund') . '</strong>';
    echo '</td>';
    echo '<td>';
    echo '<input style="width:100%;" type="text" onclick="this.select()" value="[payment_pre]" class="showcase-code" readonly="">';
    echo '</td>';
    echo '</tr>';
    echo '<tr class="status-publish alternate">';
    echo '<td class="post-title column-title">';
    echo '<strong>' . __('A small form with suggested amount', 'flowtwo_fund') . '</strong>';
    echo '</td>';
    echo '<td>';
    echo '<input style="width:100%;" type="text" onclick="this.select()" value="[payment_pre amount1=&quot;100&quot;]" class="showcase-code" readonly="">';
    echo '</td>';
    echo '</tr>';
    echo '<tr class="status-publish">';
    echo '<td class="post-title column-title">';
    echo '<strong>' . __('A small form with radio buttons', 'flowtwo_fund') . '</strong>' . __('Each suggested amount is optional', 'flowtwo_fund');
    echo '</td>';
    echo '<td>';
    echo '<input style="width:100%;" type="text" onclick="this.select()" value="[payment_pre amount1=&quot;100&quot; amount2=&quot;200&quot;]" class="showcase-code" readonly=""><br/>';
    echo '<input style="width:100%;" type="text" onclick="this.select()" value="[payment_pre amount1=&quot;100&quot; amount2=&quot;200&quot; amount3=&quot;500&quot;]" class="showcase-code" readonly=""><br/>';
    echo '<input style="width:100%;" type="text" onclick="this.select()" value="[payment_pre amount1=&quot;100&quot; amount2=&quot;200&quot; amount3=&quot;500&quot; amount4=&quot;1000&quot;]" class="showcase-code" readonly="">';
    echo '</td>';
    echo '</tr>';
    echo '<tr class="status-publish alternate">';
    echo '<td class="post-title column-title">';
    echo '<strong>' . __('A progress bar for the defined project', 'flowtwo_fund') . '</strong>';
    echo '</td>';
    echo '<td>';
    echo '<input style="width:100%;" type="text" onclick="this.select()" value="[payment_pre project=&quot;101&quot; display=&quot;bar&quot;]" class="showcase-code" readonly=""><br/>';
    echo '<input style="width:100%;" type="text" onclick="this.select()" value="[payment_pre project=&quot;101&quot; display=&quot;bar&quot; size=&quot;medium&quot;]" class="showcase-code" readonly=""><br/>';
    echo '<input style="width:100%;" type="text" onclick="this.select()" value="[payment_pre project=&quot;101&quot; display=&quot;bar&quot; size=&quot;large&quot;]" class="showcase-code" readonly="">';
    echo '</td>';
    echo '</tr>';
    echo '<tr class="status-publish">';
    echo '<td class="post-title column-title">';
    echo '<strong>' . __('A progress circle for the defined project', 'flowtwo_fund') . '</strong>';
    echo '</td>';
    echo '<td>';
    echo '<input style="width:100%;" type="text" onclick="this.select()" value="[payment_pre project=&quot;101&quot; display=&quot;circle&quot;]" class="showcase-code" readonly=""><br/>';
    echo '<input style="width:100%;" type="text" onclick="this.select()" value="[payment_pre project=&quot;101&quot; display=&quot;circle&quot; size=&quot;medium&quot;]" class="showcase-code" readonly=""><br/>';
    echo '<input style="width:100%;" type="text" onclick="this.select()" value="[payment_pre project=&quot;101&quot; display=&quot;circle&quot; size=&quot;large&quot;]" class="showcase-code" readonly="">';
    echo '</td>';
    echo '</tr>';
    echo '<tr class="status-publish alternate">';
    echo '<td class="post-title column-title">';
    echo '<strong>' . __('A small form with custom title', 'flowtwo_fund') . '</strong>';
    echo '</td>';
    echo '<td>';
    echo '<input style="width:100%;" type="text" onclick="this.select()" value="[payment_pre title=&quot;' . __('Donate now', 'flowtwo_fund') . '&quot;]" class="showcase-code" readonly=""><br/>';
    echo '<input style="width:100%;" type="text" onclick="this.select()" value="[payment_pre title=&quot;no&quot;]" class="showcase-code" readonly="">';
    echo '</td>';
    echo '</tr>';
    echo '<tr class="status-publish">';
    echo '<td class="post-title column-title">';
    echo '<strong>' . __('A small form with custom description', 'flowtwo_fund') . '</strong>';
    echo '</td>';
    echo '<td>';
    echo '<input style="width:100%;" type="text" onclick="this.select()" value="[payment_pre text=&quot;' . __('Please insert your donation', 'flowtwo_fund') . '&quot;]" class="showcase-code" readonly="">';
    echo '</td>';
    echo '</tr>';
    echo '<tr class="status-publish alternate">';
    echo '<td class="post-title column-title">';
    echo '<strong>' . __('A combination of variables', 'flowtwo_fund') . '</strong>';
    echo '</td>';
    echo '<td>';
    echo '<input style="width:100%;" type="text" onclick="this.select()" value="[payment_pre title=&quot;' . __('Donate now', 'flowtwo_fund') . '&quot; text=&quot;' . __('Please insert your donation', 'flowtwo_fund') . '&quot; display=&quot;bar&quot; size=&quot;medium&quot;]" class="showcase-code" readonly="">';
    echo '</td>';
    echo '</tr>';
    echo '</tbody>';
    echo '</table>';
    echo '<br class="clear">';
    echo '</div>';
}
