<?php

if (!defined('ABSPATH'))
    exit; // Exit if accessed directly

$api_url = 'http://plugin.devflowtwo.com/wp-installer/api/';
$plugin_slug_fund = 'flowtwo-fundraising';

function f2_fund_check_for_plugin_update($checked_data) {
    global $api_url, $plugin_slug_fund, $wp_version;

    $response = NULL;

    if (empty($checked_data->checked)) {
        return $checked_data;
    }

    $version = isset($checked_data->checked[$plugin_slug_fund . '/' . $plugin_slug_fund . '.php']) ? $checked_data->checked[$plugin_slug_fund . '/' . $plugin_slug_fund . '.php'] : NULL;

    $args = array(
      'slug' => $plugin_slug_fund,
      'version' => $version,
    );

    $request_string = array(
      'body' => array(
        'action' => 'basic_check',
        'request' => serialize($args),
        'api-key' => md5(get_bloginfo('url'))
      ),
      'user-agent' => 'WordPress/' . $wp_version . '; ' . get_bloginfo('url')
    );

    $raw_response = wp_remote_post($api_url, $request_string);

    if (!is_wp_error($raw_response) && ( $raw_response['response']['code'] == 200 )) {
        $response = unserialize($raw_response['body']);
    }
    if (is_object($response) && !empty($response)) {
        $checked_data->response[$plugin_slug_fund . '/' . $plugin_slug_fund . '.php'] = $response;
    }
    return $checked_data;
}

add_filter('pre_set_site_transient_update_plugins', 'f2_fund_check_for_plugin_update');

function f2_fund_plugin_api_call($def, $action, $args) {
    global $plugin_slug_fund, $api_url, $wp_version;

    if (!isset($args->slug) || ( $args->slug != $plugin_slug_fund )) {
        return false;
    }

    $plugin_info = get_site_transient('update_plugins');
    $current_version = $plugin_info->checked[$plugin_slug_fund . '/' . $plugin_slug_fund . '.php'];
    $args->version = $current_version;

    $request_string = array(
      'body' => array(
        'action' => $action,
        'request' => serialize($args),
        'api-key' => md5(get_bloginfo('url'))
      ),
      'user-agent' => 'WordPress/' . $wp_version . '; ' . get_bloginfo('url')
    );

    $request = wp_remote_post($api_url, $request_string);
    if (is_wp_error($request)) {
        $res = new WP_Error('plugins_api_failed', __('An Unexpected HTTP Error occurred during the API request.</p> <p><a href="?" onclick="document.location.reload(); return false;">Try again</a>', 'flowtwo_fund'), $request->get_error_message());
    } else {
        $res = unserialize($request['body']);
        if ($res === false) {
            $res = new WP_Error('plugins_api_failed', __('An unknown error occurred', 'flowtwo_fund'), $request['body']);
        }
    }
    return $res;
}

add_filter('plugins_api', 'f2_fund_plugin_api_call', 10, 3);
