<?php
if (!defined('ABSPATH'))
    exit; // Exit if accessed directly

if (!function_exists('of_payment_pre')) {

    function of_payment_pre(
    $id = NULL, $project = NULL, $amount1 = NULL, $amount2 = NULL, $amount3 = NULL, $amount4 = NULL, $title = NULL, $text = NULL, $class = NULL, $method = NULL, $display = NULL, $size = NULL
    ) {
        $options = get_option('f2_fund');
        global $post, $of_id;
        $id = empty($id) ? $of_id : $id;
        $id = empty($id) ? NULL : $id;

        $payment_std = NULL;
        if (isset($options['payment_std']) && $options['payment_std'] != '') {
            $payment_std = $options['payment_std'];
        } else {
            $args = array(
              'posts_per_page' => '1',
              'post_type' => 'page',
              'meta_key' => '_wp_page_template',
              'meta_value' => 'page-payment.php',
              'cache_results' => TRUE,
              'update_post_term_cache' => FALSE,
              'update_post_meta_cache' => FALSE,
              'no_found_rows' => TRUE,
              'fields' => 'ids'
            );
            $payment_stds = get_posts($args);
            if ($payment_stds) {
                $payment_std = $payment_stds[0];
            }
        }

        $class = empty($class) ? NULL : ' ' . $class;

        if (!empty($display)) {
            $of_url = of_fundraising_url();
            if ($size) {
                if ($size == 'large') {
                    if ($display == 'bar' || $text || $title) {
                        $height = '75';
                    } else {
                        $height = '350';
                    }
                } elseif ($size == 'medium') {
                    if ($display == 'bar' || $text || $title) {
                        $height = '59';
                    } else {
                        $height = '250';
                    }
                } else {
                    if ($display == 'bar') {
                        $height = '37';
                    } else {
                        $height = '150';
                    }
                }
                $size = '&widget_size=' . $size;
            } else {
                if ($display == 'bar') {
                    $height = '37';
                } else {
                    $height = '150';
                }
            }
            $rand = mt_rand();

            echo '<div class="clearfix"></div>';
            echo '<div class="meta-project payment-pre-wrapper payment-pre-' . $display . ' getWidth' . $class . '">';
            if ($text || $title) {
                echo '<div class="row">';
                echo '<div class="col-sm-6">';
                if ($title) {
                    echo '<h3>' . $title . '</h3>';
                }
                echo wpautop($text);
                echo '</div>';
                echo '<div class="col-sm-6">';
                echo '<div id="fund-' . $rand . '"></div>';
                echo '</div>';
                echo '</div>';
            } else {
                echo '<div id="fund-' . $rand . '"></div>';
            }
            echo '</div>';

            $of_url = $of_url . '?widget=' . $display . $size . '&pre_project=' . $project . '&';
            ?><script type="text/javascript">function OF<?php echo $rand; ?>(){var e = window.innerWidth, n = window.location.search.substring(1); n && (n = "&" + n); var t = "<?php echo $of_url; ?>pre_device=" + e + n, t = t.replace(/amp;/g, ""), t = t.replace(/#038;/g, ""), d = document.createElement("iframe"); d.width = "100%", d.scrolling = "no", d.setAttribute("src", t), document.getElementById("fund-<?php echo $rand; ?>").appendChild(d)}window.addEventListener?window.addEventListener("load", OF<?php echo $rand; ?>, !1):window.attachEvent?window.attachEvent("onload", OF<?php echo $rand; ?>):window.onload = OF<?php echo $rand; ?>;</script><?php
            /*
              ?>
              <script type="text/javascript">

              function OF<?php echo $rand; ?>() {

              var w = window.innerWidth,
              q = window.location.search.substring(1);
              if ( q ){
              q = '&'+ q;
              }
              var src    = "<?php echo $of_url; ?>pre_device="+ w + q,
              src    = src.replace(/amp;/g,""),
              src    = src.replace(/#038;/g,""),
              iframe = document.createElement('iframe');
              iframe.width     = "100%";
              iframe.scrolling = "no";
              iframe.setAttribute("src",src);
              document.getElementById('fund-<?php echo $rand; ?>').appendChild(iframe);
              }

              if (window.addEventListener)
              window.addEventListener("load", OF<?php echo $rand; ?>, false);
              else if (window.attachEvent)
              window.attachEvent("onload", OF<?php echo $rand; ?>);
              else window.onload = OF<?php echo $rand; ?>;

              </script>
              <?php
             */
        } elseif ($payment_std) {

            echo '<div class="clearfix"></div>';
            echo '<div class="meta-project payment-pre-wrapper call-to-action getWidth' . $class . '">';
            if ($title != 'no') {
                if (!empty($project) && is_numeric($project)) {
                    $project_name = NULL;
                    $output = of_projects_stats();
                    if ($output) {
                        foreach ($output as $outputs) {
                            if ($project == $outputs->ID) {
                                $project_name = $outputs->title;
                                break;
                            }
                        }
                    }
                    $title = empty($title) ? __('Support', 'flowtwo_fund') . ' ' . $project_name : $title;
                } else {
                    $title = empty($title) ? __('Support now', 'flowtwo_fund') : $title;
                }
                echo '<h3 class="details">' . $title . '</h3>';
            }
            if ($text != 'no' && !empty($text)) {
                echo wpautop($text);
            } elseif (isset($options['payment_pre_desc']) && $options['payment_pre_desc'] != '') {
                echo wpautop($options['payment_pre_desc']);
            } elseif ($text != 'no' && $project && $amount1 && ( $amount2 || $amount3 || $amount4 )) {
                echo wpautop(__('Insert your donation amount here', 'flowtwo_fund'));
            }
            $currency = 208;

            if ($amount1) {

                $label = 'col-xs-3 col-sm-4 control-label';
                $input = 'col-xs-9 col-sm-8 control-input';
                $btn = 'col-xs-offset-3 col-xs-6 col-sm-offset-4 col-sm-8 control-input';
                echo '<form id="fundraising-pre" action="' . get_permalink($payment_std) . '" method="get" class="form-horizontal payment-pre">';
                echo '<input type="hidden" name="lock" value="1"/>';
                if ($id) {
                    echo '<input type="hidden" name="pre_page" value="' . $id . '"/>';
                }
                if ($method) {
                    echo '<input type="hidden" name="pre_method" value="' . $method . '"/>';
                }
                if (empty($project)) {
                    echo '<div class="form-group form-project">';
                    echo '<label class="' . $label . '">' . __('Select project', 'flowtwo_fund') . '</label>';
                    echo '<div class="' . $input . '">';
                    $projects = of_projects_stats();
                    if ($projects) {
                        echo '<select class="form-control" name="pre_project" id="pre_project">';
                        echo '<option value="">' . __('Please choose from list', 'flowtwo_fund') . '</option>';
                        foreach ($projects as $project) {
                            echo '<option value="' . wp_kses($project->ID, '') . '">' . wp_kses($project->title, '') . '</option>';
                        }
                        echo '</select>';
                    }
                    echo '</div>';
                    echo '</div>';
                } else {
                    echo '<input type="hidden" name="pre_project" value="' . $project . '"/>';
                }
                if ($amount1 && ( $amount2 || $amount3 || $amount4 )) {
                    echo '<div class="form-group form-amount">';
                    echo '<label class="' . $label . '">' . __('Select amount', 'flowtwo_fund') . '</label>';
                    echo '<div class="' . $input . '">';
                    if ($amount1) {
                        echo '<div class="radio">';
                        echo '<label class="radio-label">';
                        if (is_numeric($amount1)) {
                            echo '<input type="radio" name="pre_amount" id="amount3" value="' . $amount1 . '" checked>';
                            echo $amount1 . ' ' . of_get_currency($currency);
                        } else {
                            echo '<input type="radio" name="pre_amount" id="amount3" value="" checked>';
                            echo $amount1;
                        }
                        echo '</label>';
                        echo '</div>';
                    }
                    if ($amount2) {
                        echo '<div class="radio">';
                        echo '<label class="radio-label">';
                        if (is_numeric($amount2)) {
                            echo '<input type="radio" name="pre_amount" id="amount3" value="' . $amount2 . '">';
                            echo $amount2 . ' ' . of_get_currency($currency);
                        } else {
                            echo '<input type="radio" name="pre_amount" id="amount3" value="">';
                            echo $amount2;
                        }
                        echo '</label>';
                        echo '</div>';
                    }
                    if ($amount3) {
                        echo '<div class="radio">';
                        echo '<label class="radio-label">';
                        if (is_numeric($amount3)) {
                            echo '<input type="radio" name="pre_amount" id="amount3" value="' . $amount3 . '">';
                            echo $amount3 . ' ' . of_get_currency($currency);
                        } else {
                            echo '<input type="radio" name="pre_amount" id="amount3" value="">';
                            echo $amount3;
                        }
                        echo '</label>';
                        echo '</div>';
                    }
                    if ($amount4) {
                        echo '<div class="radio">';
                        echo '<label class="radio-label">';
                        if (is_numeric($amount4)) {
                            echo '<input type="radio" name="pre_amount" id="amount3" value="' . $amount4 . '">';
                            echo $amount4 . ' ' . of_get_currency($currency);
                        } else {
                            echo '<input type="radio" name="pre_amount" id="amount3" value="">';
                            echo $amount4;
                        }
                        echo '</label>';
                        echo '</div>';
                    }
                    echo '</div>';
                    echo '</div>';
                    echo '<div class="form-group form-btn">';
                    echo '<div class="' . $btn . '">';
                    echo '<input type="submit" class="btn btn-donate" value="' . of_payment_btn() . '">';
                    echo '</div>';
                    echo '</div>';
                } elseif ($amount1) {
                    echo '<input type="hidden" value="' . $amount1 . '" name="pre_amount"/>';
                    echo '<div class="form-group form-btn">';
                    echo '<div class="col-xs-12 control-input">';
                    echo '<input type="submit" class="btn btn-donate" value="' . of_payment_btn() . '">';
                    echo '</div>';
                    echo '</div>';
                } else {
                    echo '<div class="form-group form-amount">';
                    echo '<input type="tel" class="form-control" name="pre_amount" placeholder="' . __('Amount in', 'flowtwo_fund') . ' ' . of_get_currency($currency) . '"/>';
                    echo '</div>';
                    echo '<div class="form-group form-btn">';
                    echo '<div class="' . $btn . '">';
                    echo '<input type="submit" class="btn btn-donate" value="' . of_payment_btn() . '">';
                    echo '</div>';
                    echo '</div>';
                }
                echo '</form>';
            } else {

                echo '<form id="fundraising-pre" action="' . get_permalink($payment_std) . '" method="get" class="form-inline payment-pre">';
                echo '<input type="hidden" name="lock" value="1"/>';
                if ($id) {
                    echo '<input type="hidden" name="pre_page" value="' . $id . '"/>';
                }
                if ($project) {
                    echo '<input type="hidden" name="pre_project" value="' . $project . '"/>';
                }
                if ($method) {
                    echo '<input type="hidden" name="pre_method" value="' . $method . '"/>';
                }
                echo '<div class="form-group form-amount">';
                echo '<input type="tel" class="form-control" value="' . $amount1 . '" name="pre_amount" placeholder="' . __('Amount in', 'flowtwo_fund') . ' ' . of_get_currency($currency) . '"/>';
                echo '</div>';
                echo '<div class="form-group form-btn">';
                echo '<input type="submit" class="btn btn-donate" value="' . of_payment_btn() . '">';
                echo '</div>';
                echo '</form>';
            }

            echo '</div>';
        }
    }

}

function of_payment_pre_shortcode($atts, $content = null) {

    $options = get_option('f2_fund');

    global $post;

    extract(shortcode_atts(array(
      'id' => '',
      'project' => '',
      'amount1' => '',
      'amount2' => '',
      'amount3' => '',
      'amount4' => '',
      'title' => '',
      'text' => '',
      'class' => '',
      'method' => '',
      'display' => '',
      'size' => '',
      'btn' => '',
            ), $atts));
    ob_start();

    $btn_label = $btn != '' ? esc_attr($btn) : of_payment_btn();

    if (is_feed()) {

        $payment_std = of_payment_std();

        if (empty($amount1)) {
            $amount1 = '100';
        }

        $title = get_bloginfo('name');

        if ($project) {
            $projects = of_projects_stats();
            foreach ($projects as $project_id) {
                if ($project == $project_id->ID) {
                    $title = $project_id->title;
                    break;
                }
            }
            $project = '&pre_project=' . $project;
        }
        echo '<hr/><p><strong>' . __('Support', 'flowtwo_fund') . ' <a href="' . get_permalink($payment_std) . '?pre_page=feed&pre_amount=' . $amount1 . $project . '">' . $title . '</a> ' . __('now', 'flowtwo_fund') . '!</strong></p>';
    } else {

        $payment_std = of_payment_std();

        $class = empty($class) ? NULL : ' ' . $class;

        if ($display) {
            $of_url = of_fundraising_url();
            if ($size) {
                if ($size == 'large') {
                    if ($display == 'bar' || $text || $title) {
                        $height = '75';
                    } else {
                        $height = '350';
                    }
                } elseif ($size == 'medium') {
                    if ($display == 'bar' || $text || $title) {
                        $height = '59';
                    } else {
                        $height = '250';
                    }
                } else {
                    if ($display == 'bar') {
                        $height = '37';
                    } else {
                        $height = '150';
                    }
                }
                $size = '&widget_size=' . $size;
            } else {
                if ($display == 'bar') {
                    $height = '37';
                } else {
                    $height = '150';
                }
            }
            $rand = mt_rand();

            echo '<div class="clearfix"></div>';
            echo '<div class="meta-project payment-pre-wrapper payment-pre-' . $display . ' getWidth' . $class . '">';
            if ($text || $title) {
                echo '<div class="row">';
                echo '<div class="col-sm-6">';
                if ($title) {
                    echo '<h3>' . $title . '</h3>';
                }
                echo wpautop($text);
                echo '</div>';
                echo '<div class="col-sm-6">';
                echo '<div id="fund-' . $rand . '"></div>';
                echo '</div>';
                echo '</div>';
            } else {
                echo '<div id="fund-' . $rand . '"></div>';
            }
            echo '</div>';
            echo '<div class="clearfix"></div>';

            $of_url = $of_url . '?widget=' . $display . $size . '&pre_project=' . $project . '&';
            ?><script type="text/javascript">function OF<?php echo $rand; ?>(){var e = window.innerWidth, n = window.location.search.substring(1); n && (n = "&" + n); var t = "<?php echo $of_url; ?>pre_device=" + e + n, t = t.replace(/amp;/g, ""), t = t.replace(/#038;/g, ""), d = document.createElement("iframe"); d.width = "100%", d.scrolling = "no", d.setAttribute("src", t), document.getElementById("fund-<?php echo $rand; ?>").appendChild(d)}window.addEventListener?window.addEventListener("load", OF<?php echo $rand; ?>, !1):window.attachEvent?window.attachEvent("onload", OF<?php echo $rand; ?>):window.onload = OF<?php echo $rand; ?>;</script><?php
            /*
              ?>
              <script type="text/javascript">

              function OF<?php echo $rand; ?>() {

              var w = window.innerWidth,
              q = window.location.search.substring(1);
              if (q) {
              if (q !== 'undefined') {
              q = '&' + q;
              }
              }
              var src    = "<?php echo $of_url; ?>pre_device="+ w + q,
              src    = src.replace(/amp;/g,""),
              src    = src.replace(/#038;/g,""),
              iframe = document.createElement('iframe');
              iframe.width     = "100%";
              iframe.scrolling = "no";
              iframe.setAttribute("src",src);
              document.getElementById('fund-<?php echo $rand; ?>').appendChild(iframe);
              }

              if (window.addEventListener)
              window.addEventListener("load", OF<?php echo $rand; ?>, false);
              else if (window.attachEvent)
              window.attachEvent("onload", OF<?php echo $rand; ?>);
              else window.onload = OF<?php echo $rand; ?>;

              </script>
              <?php
             */
        } elseif ($payment_std) {

            echo '<div class="clearfix"></div>';
            echo '<div class="meta-project payment-pre-wrapper call-to-action getWidth' . $class . '">';
            if ($title != 'no') {
                if (!empty($project) && is_numeric($project)) {
                    $project_name = NULL;
                    $output = of_projects_stats();
                    if ($output) {
                        foreach ($output as $outputs) {
                            if ($project == $outputs->ID) {
                                $project_name = $outputs->title;
                                break;
                            }
                        }
                    }
                    $title = empty($title) ? __('Support', 'flowtwo_fund') . ' ' . $project_name . ' ' . __('now', 'flowtwo_fund') : $title;
                } else {
                    $title = empty($title) ? __('Support now', 'flowtwo_fund') : $title;
                }
                echo '<h3 class="details">' . $title . '</h3>';
            }
            if ($text != 'no' && !empty($text)) {
                echo wpautop($text);
            } elseif (isset($options['payment_pre_desc']) && $options['payment_pre_desc'] != '') {
                echo wpautop($options['payment_pre_desc']);
            } elseif ($text != 'no' && $project && $amount1 && ( $amount2 || $amount3 || $amount4 )) {
                echo wpautop(__('Insert your donation amount here', 'flowtwo_fund'));
            }
            $currency = 208;

            if ($amount1) {

                $label = 'col-xs-3 col-sm-4 control-label';
                $input = 'col-xs-9 col-sm-8 control-input';
                $btn = 'col-xs-offset-3 col-xs-6 col-sm-offset-4 col-sm-8 control-input';
                echo '<form id="fundraising-pre" action="' . get_permalink($payment_std) . '" method="get" class="form-horizontal payment-pre">';
                echo '<input type="hidden" name="lock" value="1"/>';
                if ($id) {
                    echo '<input type="hidden" name="pre_page" value="' . $id . '"/>';
                }
                if ($method) {
                    echo '<input type="hidden" name="pre_method" value="' . $method . '"/>';
                }
                if (empty($project)) {
                    echo '<div class="form-group form-project">';
                    echo '<label class="' . $label . '">' . __('Select project', 'flowtwo_fund') . '</label>';
                    echo '<div class="' . $input . '">';
                    $projects = of_projects_stats();
                    if ($projects) {
                        echo '<select class="form-control" name="pre_project" id="pre_project">';
                        echo '<option value="">' . __('Please choose from list', 'flowtwo_fund') . '</option>';
                        foreach ($projects as $project) {
                            echo '<option value="' . wp_kses($project->ID, '') . '">' . wp_kses($project->title, '') . '</option>';
                        }
                        echo '</select>';
                    }
                    echo '</div>';
                    echo '</div>';
                } else {
                    echo '<input type="hidden" name="pre_project" value="' . $project . '"/>';
                }
                if ($amount1 && ( $amount2 || $amount3 || $amount4 )) {
                    echo '<div class="form-group form-amount">';
                    echo '<label class="' . $label . '">' . __('Select amount', 'flowtwo_fund') . '</label>';
                    echo '<div class="' . $input . '">';
                    if ($amount1) {
                        echo '<div class="radio">';
                        echo '<label class="radio-label">';
                        if (is_numeric($amount1)) {
                            echo '<input type="radio" name="pre_amount" id="amount3" value="' . $amount1 . '" checked>';
                            echo $amount1 . ' ' . of_get_currency($currency);
                        } else {
                            echo '<input type="radio" name="pre_amount" id="amount3" value="" checked>';
                            echo $amount1;
                        }
                        echo '</label>';
                        echo '</div>';
                    }
                    if ($amount2) {
                        echo '<div class="radio">';
                        echo '<label class="radio-label">';
                        if (is_numeric($amount2)) {
                            echo '<input type="radio" name="pre_amount" id="amount3" value="' . $amount2 . '">';
                            echo $amount2 . ' ' . of_get_currency($currency);
                        } else {
                            echo '<input type="radio" name="pre_amount" id="amount3" value="">';
                            echo $amount2;
                        }
                        echo '</label>';
                        echo '</div>';
                    }
                    if ($amount3) {
                        echo '<div class="radio">';
                        echo '<label class="radio-label">';
                        if (is_numeric($amount3)) {
                            echo '<input type="radio" name="pre_amount" id="amount3" value="' . $amount3 . '">';
                            echo $amount3 . ' ' . of_get_currency($currency);
                        } else {
                            echo '<input type="radio" name="pre_amount" id="amount3" value="">';
                            echo $amount3;
                        }
                        echo '</label>';
                        echo '</div>';
                    }
                    if ($amount4) {
                        echo '<div class="radio">';
                        echo '<label class="radio-label">';
                        if (is_numeric($amount4)) {
                            echo '<input type="radio" name="pre_amount" id="amount3" value="' . $amount4 . '">';
                            echo $amount4 . ' ' . of_get_currency($currency);
                        } else {
                            echo '<input type="radio" name="pre_amount" id="amount3" value="">';
                            echo $amount4;
                        }
                        echo '</label>';
                        echo '</div>';
                    }
                    echo '</div>';
                    echo '</div>';
                    echo '<div class="form-group form-btn">';
                    echo '<div class="' . $btn . '">';
                    echo '<input type="submit" class="btn btn-donate" value="' . $btn_label . '">';
                    echo '</div>';
                    echo '</div>';
                } elseif ($amount1) {
                    echo '<input type="hidden" value="' . $amount1 . '" name="pre_amount"/>';
                    echo '<div class="form-group form-btn">';
                    echo '<div class="col-xs-12 control-input">';
                    echo '<input type="submit" class="btn btn-donate" value="' . $btn_label . '">';
                    echo '</div>';
                    echo '</div>';
                } else {
                    echo '<div class="form-group form-amount">';
                    echo '<input type="tel" class="form-control" name="pre_amount" placeholder="' . __('Amount in', 'flowtwo_fund') . ' ' . of_get_currency($currency) . '"/>';
                    echo '</div>';
                    echo '<div class="form-group form-btn">';
                    echo '<div class="' . $btn . '">';
                    echo '<input type="submit" class="btn btn-donate" value="' . $btn_label . '">';
                    echo '</div>';
                    echo '</div>';
                }
                echo '</form>';
            } else {

                echo '<form id="fundraising-pre" action="' . get_permalink($payment_std) . '" method="get" class="form-inline payment-pre">';
                echo '<input type="hidden" name="lock" value="1"/>';
                if ($id) {
                    echo '<input type="hidden" name="pre_page" value="' . $id . '"/>';
                }
                if ($project) {
                    echo '<input type="hidden" name="pre_project" value="' . $project . '"/>';
                }
                if ($method) {
                    echo '<input type="hidden" name="pre_method" value="' . $method . '"/>';
                }
                echo '<div class="form-group form-amount">';
                echo '<input type="tel" class="form-control" value="' . $amount1 . '" name="pre_amount" placeholder="' . __('Amount in', 'flowtwo_fund') . ' ' . of_get_currency($currency) . '"/>';
                echo '</div>';
                echo '<div class="form-group form-btn">';
                echo '<input type="submit" class="btn btn-donate" value="' . $btn_label . '">';
                echo '</div>';
                echo '</form>';
            }

            echo '</div>';
            echo '<div class="clearfix"></div>';
        } else {

            if (is_user_logged_in()) {
                echo '<br/><div class="alert alert-warning" style="color:red;">' . __('ATTENTION!<br/>Dear admin. It seems you have not defined a standard payment page in the Options Menu. Please 1) create a page, 2) insert the shortcode: [payment] and 3) select the page in the Options Menu.', 'flowtwo_fund') . '</div><br/><br/>';
            }
        }
    }

    $content = ob_get_contents();
    ob_end_clean();
    return $content;
}

add_shortcode('payment_pre', 'of_payment_pre_shortcode');
add_shortcode('pre_payment', 'of_payment_pre_shortcode');
