<?php
if (!defined('ABSPATH'))
    exit; // Exit if accessed directly

    /*
     * Display progress bar for a single project
     */

function of_fundraising_shortode($atts, $content = null) {
    extract(shortcode_atts(array(
      'id' => ''
            ), $atts));
    ob_start();

    if ($id != '') {
        of_fundraising_progress($id);
    }

    $output_string = ob_get_contents();
    ob_end_clean();
    return $output_string;
}

add_shortcode('fundraising', 'of_fundraising_shortode');
add_shortcode('of_project', 'of_fundraising_shortode');


/*
 * Display progress bars for all projects
 */

function of_projects_shortode() {
    ob_start();

    $projects = of_projects_stats();
    if ($projects) {
        $total = '0';
        foreach ($projects as $project) {
            $project = (array) $project;
            $id = ( isset($project['ID']) && $project['ID'] != '' ) ? $project['ID'] : NULL;
            $title = ( isset($project['title']) && $project['title'] != '' ) ? $project['title'] : NULL;
            $target = ( isset($project['target']) && $project['target'] != '' ) ? $project['target'] : NULL;
            $status = ( isset($project['status']) && $project['status'] != '' ) ? $project['status'] : NULL;
            $offline = ( isset($project['offline']) && $project['offline'] != '' ) ? $project['offline'] : NULL;
            $total = $total + $status;
            of_fundraising_progress($id);
        }
    }

    $output_string = ob_get_contents();
    ob_end_clean();
    return $output_string;
}

add_shortcode('of_projects', 'of_projects_shortode');


/*
 * Display total amount fundraised
 */

function of_total_shortode($atts) {
    extract(shortcode_atts(array(
      'currency' => 'kr.',
            ), $atts));
    ob_start();

    $projects = of_projects_stats();
    if ($projects) {
        $total = '0';
        foreach ($projects as $project) {
            $project = (array) $project;
            $status = ( isset($project['status']) && $project['status'] != '' ) ? $project['status'] : NULL;
            $offline = ( isset($project['offline']) && $project['offline'] != '' ) ? $project['offline'] : NULL;
            $total = $total + $status;
        }
        echo '<h1><span class="counter" data-start="0" data-end="' . $total . '" data-decimal="0" data-duration="4">0</span> ' . $currency . '</h1>';
    }

    $output_string = ob_get_contents();
    ob_end_clean();
    return $output_string;
}

add_shortcode('of_total', 'of_total_shortode');


/*
 * Display payment form
 */

function of_payment_shortcode($atts, $content = null) {

    $options = get_option('f2_fund');
    global $post, $of_id;

    extract(shortcode_atts(array(
      'do' => '',
      'project' => '',
      'amount' => '',
      'title' => '',
      'text' => '',
      'method' => '',
      'frequens' => '',
      'event' => '',
      'form' => '',
      'btn' => '',
      'height' => NULL,
      'locked' => NULL,
            ), $atts));
    ob_start();

    echo '<noscript>';
    echo '<div class="alert alert-warning">';
    $url = 'http://www.enable-javascript.com/';
    echo 'Vi bruger JavaScript til at håndtere din donation, men det ser ud til, at JavaScript ikke er aktiveret i din browser. <a href="' . $url . '" target="_blank">Klik her for at læse om hvordan man slår JavaScript til.</a> Tak.';
    echo '</div>';
    echo '</noscript>';

    $of_array = array();
    $of_url = of_fundraising_url();
    $opt_height = !empty($options['payment_height']) ? $options['payment_height'] : '1450';
    $height = isset($height) ? $height : $opt_height;
    if (empty($of_url)) {

        if (function_exists('gr_admin_msg')) {
            $text = __('It seems Flow² Fundraising has not been configured correctly on your website.', 'flowtwo_fund');
            gr_admin_msg($text);
        }
        $of_url = 'https://onlinefundraising.dk/showcase';
    }

    echo '<div id="fund"></div>';

    if ($btn) {
        $of_array['pre_btn'] = $btn;
    }
    if ($method) {
        $of_array['pre_method'] = $method;
    }
    if ($frequens) {
        $of_array['pre_frequens'] = $frequens;
    }
    if ($project) {
        $of_array['pre_project'] = $project;
    }
    if ($event) {
        $of_array['pre_event'] = $event;
    }
    if ($form) {
        $of_array['pre_form'] = $form;
    }
    if ($amount) {
        $of_array['pre_amount'] = $amount;
        if ($locked != '') {
            $of_array['locked'] = '1';
        }
    }
    if ($of_array) {
        $of_url = trailingslashit($of_url) . '?' . http_build_query($of_array) . '&';
    } else {
        $of_url = trailingslashit($of_url) . '?';
    }

    if (isset($options['ga_account']) && $options['ga_account'] != '') {
        ?>
        <script type="text/javascript">
            var s = document.createElement('script');
            s.type = 'text/javascript';
            s.async = true;
            s.src = "https://onlinefundraising.dk/js/iframe.js";
            var x = document.getElementsByTagName('script')[0];
            x.parentNode.insertBefore(s, x);
            var linker;
            !function (e, n, t, a, c, o, s) {
                e.GoogleAnalyticsObject = c, e[c] = e[c] || function () {
                    (e[c].q = e[c].q || []).push(arguments)
                }, e[c].l = 1 * new Date, o = n.createElement(t), s = n.getElementsByTagName(t)[0], o.async = 1, o.src = a, s.parentNode.insertBefore(o, s)
            }(window, document, "script", "//www.google-analytics.com/analytics.js", "ga");
            ga('create', '<?php echo $options["ga_account"]; ?>', 'auto');
            ga('send', 'pageview');
            ga("send", "event", "form", "load", "iframeholder", '0');
            function OFfit() {
                if (window.iFrameResize) {
                    iFrameResize({
                        enablePublicMethods: true,
                        checkOrigin: false
                    });
                }
            }
            function OF(tracker) {
                var a = '&amp;pre_device=' + window.innerWidth,
                        b = window.location.search.substring(1),
                        c = tracker.get('referrer'),
                        d = '',
                        e = '';
                if (b) {
                    if (b !== 'undefined') {
                        d = "&amp;" + b;
                    }
                }
                if (c) {
                    if (c !== 'undefined') {
                        e = "&amp;pre_ga=" + c;
                    }
                }
                window.linker = window.linker || new window.gaplugins.Linker(tracker);
                var uri = window.linker.decorate("<?php echo $of_url; ?>" + a + d + e),
                        src = uri.replace(/amp;/g, "").replace(/#038;/g, ""),
                        iframe = document.createElement('iframe');
                iframe.width = "100%";
                iframe.scrolling = "no";
                iframe.setAttribute("src", src);
                document.getElementById('fund').appendChild(iframe);
                OFfit();
                setTimeout(
                        function () {
                            OFfit();
                        },
                        2000
                        );
            }
            if (window.addEventListener) {
                window.addEventListener("load", ga(OF), false);
            } else if (window.attachEvent) {
                window.attachEvent("onload", ga(OF));
            } else {
                window.onload = ga(OF);
            }
        </script>
        <?php
    } else {
        ?>
        <script type="text/javascript">
            var s = document.createElement('script');
            s.type = 'text/javascript';
            s.async = true;
            s.src = "https://onlinefundraising.dk/js/iframe.js";
            var x = document.getElementsByTagName('script')[0];
            x.parentNode.insertBefore(s, x);
            function OFfit() {
                if (window.iFrameResize) {
                    iFrameResize({
                        enablePublicMethods: true,
                        checkOrigin: false
                    });
                }
            }
            function OF(tracker) {
                var a = 'pre_device=' + window.innerWidth,
                        b = window.location.search.substring(1),
                        d = '';
                if (b) {
                    if (b !== 'undefined') {
                        d = "&amp;" + b;
                    }
                }
                var uri = "<?php echo $of_url; ?>" + a + d,
                        src = uri.replace(/amp;/g, "").replace(/#038;/g, ""),
                        iframe = document.createElement('iframe');
                iframe.width = "100%";
                iframe.scrolling = "no";
                iframe.setAttribute("src", src);
                document.getElementById('fund').appendChild(iframe);
                OFfit();
            }
            if (window.addEventListener) {
                window.addEventListener("load", OF, false);
            } else if (window.attachEvent) {
                window.attachEvent("onload", OF);
            } else {
                window.onload = OF;
            }
        </script>
        <?php
    }

    $output_string = ob_get_contents();
    ob_end_clean();
    return $output_string;
}

add_shortcode('payment', 'of_payment_shortcode');
